Bug 1002485 - virt-who CLI should prompt friendly message when forgetting adding "--satellite" or "--sam"
virt-who CLI should prompt friendly message when forgetting adding "--satelli...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-who (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Radek Novacek
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 06:04 EDT by gaoshang
Modified: 2016-11-30 19:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-17 02:51:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gaoshang 2013-08-29 06:04:51 EDT
Description of problem:
Since we added Satellite surpport to virt-who, virt-who command line changed respectively, we should prompt user who is customed with old command:
virt-who --esx --esx-owner=ACME_Corporation --esx-env=Library --esx-server=10.66.79.4 --esx-username=administrator --esx-password=qwer1234P --sam -i 5 -d

Version-Release number of selected component (if applicable):
# rpm -qa | grep virt-who
virt-who-0.8-8.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. Run following virt-who command line
virt-who --esx --esx-owner=ACME_Corporation --esx-env=Library --esx-server=10.66.79.4 --esx-username=administrator --esx-password=qwer1234P -i 3 -d

Actual results:
    [root@gg-rhel6 virt-who]#  virt-who --esx --esx-owner=ACME_Corporation --esx-env=env1 --esx-server=10.66.79.4 --esx-username=administrator --esx-password=qwer1234P -i 3 -d
    WARNING: Listening for events is not available in VDSM, ESX, RHEV-M or Hyper-V mode
    DEBUG: Virt-who is running in esx mode
    DEBUG: Starting infinite loop with 3 seconds interval
    ERROR: Error in communication with subscription manager, trying to recover:
    Traceback (most recent call last):
      File "/usr/share/virt-who/virt-who.py", line 207, in _send
        result = self.subscriptionManager.hypervisorCheckIn(self.options.owner, self.options.env, virtualGuests, type=self.options.virtType)
    AttributeError: 'NoneType' object has no attribute 'hypervisorCheckIn'
    ERROR: Unable to recover, retry in 3 seconds.
    ERROR: Error in communication with subscription manager, trying to recover:
    Traceback (most recent call last):
      File "/usr/share/virt-who/virt-who.py", line 207, in _send
        result = self.subscriptionManager.hypervisorCheckIn(self.options.owner, self.options.env, virtualGuests, type=self.options.virtType)
    AttributeError: 'NoneType' object has no attribute 'hypervisorCheckIn'


Expected results:
virt-who should prompt user to add "--satellite" or "--sam" parameter

Additional info:
Comment 1 Radek Novacek 2013-08-29 06:08:42 EDT
This has been fixed in virt-who-0.8-9. virt-who now assumes that user wants to report to SAM. This needs to be there for backward compatibility. User that will upgrade from previous versions of virt-who must not need to change something in the configuration file.
Comment 3 gaoshang 2013-08-30 00:08:31 EDT
This bug has been fixed in virt-who-0.8-9, SAM will be the default option if not specified "--satellite" or "--sam".
Comment 5 RHEL Product and Program Management 2013-08-30 01:01:20 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 6 Radek Novacek 2014-01-17 02:51:24 EST
This issue has been resolved by other fix before this bug was created, therefore it didn't get to the erratum. I'll close it now.

Note You need to log in before you can comment on or make changes to this bug.